﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MediaFileEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.MediaFileEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/FileUpload/FileUpload.ascx" TagPrefix="uc" TagName="FileUpload" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.MediaFileDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(Title)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Title" Template-PropertyName="Title" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(File)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="FileFieldView" InputToDisplayID="File" />
                                              </td>
                                              <td class="control">
                                                <uc:FileUpload runat="server" ID="File" Template-PropertyName="FileName"/>
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>
