﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AccountModulePermissionListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.AccountModulePermissionListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <Filter:FiltersArea runat="server" ID="Filters">
        <Filters>
          <UI:FilterTextBox runat="server" ID="SearchBox" />
        </Filters>
      </Filter:FiltersArea>
    </td>
  </tr>
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Grid:ModuleAccountGridView runat="server" ID="Grid">
        <Columns>
          <List:GridColumn Header="Login" PropertyName="Account.Login" Width="50" />
          <List:GridColumn Header="Account Type" PropertyName="Account.AccountType.Name" Width="30" />
          <Grid:PermissionsColumn Header="Permission Level" PropertyName="PermissionType.Name" Width="30" />
        </Columns>
      </Grid:ModuleAccountGridView>
    </td>
  </tr>
  <tr>
    <td>
      <List:ItemsCounter runat="server" ID="ItemsCounter" />

      <span class="grid-area-filter-item">

        <label class="line-label">
          <%=PageSize.FieldView%></label>

        <List:PageSizeChanger runat="server" ID="PageSize" />
      </span>

      <List:Paginator runat="server" ID="GridPaginator" />
    </td>
  </tr>
</table>
