﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SupplierListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.SupplierListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:SupplierGridView runat="server" ID="Grid" >
                <Columns>
                  <List:GridColumn Header="Title" PropertyName="Title" Width="23"/>
                  <List:GridColumn Header="Contact Name" PropertyName="ContactName" Width="23"/>
                  <List:GridColumn Header="Contact Phone" PropertyName="ContactPhone" Width="23"/>
                  <List:GridColumn Header="Email" PropertyName="Email" Width="23"/>
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:SupplierGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
