﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="UnitSettings.aspx.cs" Inherits="Core.Web.Admin.Pages.Settings.UnitSettings"%>

<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Settings/Listing/UnitListing.ascx" TagPrefix="uc"
  TagName="UnitListing" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="EditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <br />
      <Tabs:TabContainer runat="server" ID="SettingsTabMenu">
        <Items>
          <Tabs:TabItem runat="server" ID="WeightUnitsTab" Active="true">
            <innercontent>
              <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="WeightTopToolbar" />
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <uc:UnitListing runat="server" ID="WeightUnits" UnitType="Weight"/>
                    </td>
                  </tr>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="WeightBottomToolbar" />
                    </td>
                  </tr>
                </tbody>
              </table>
              <div style="clear:both;height:10px;"></div>
              </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="DimensionUnitsTab">
            <innercontent>
              <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="DimensionTopToolbar" />
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <uc:UnitListing runat="server" ID="DimensionUnits" UnitType="Dimensions"/>
                    </td>
                  </tr>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="DimensionBottomToolbar" />
                    </td>
                  </tr>
                </tbody>
              </table>
              <div style="clear:both;height:10px;"></div>   
              </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="VolumenUnitsTab">
            <innercontent>
              <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="VolumeTopToolbar" />
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <uc:UnitListing runat="server" ID="VolumeUnits" UnitType="Volume"/>
                    </td>
                  </tr>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="VolumeBottomToolbar" />
                    </td>
                  </tr>
                </tbody>
              </table>
              <div style="clear:both;height:10px;"></div> 
              </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="CurrenciesUnitsTab">
            <innercontent>
              <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody> 
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="CurrenciesTopToolbar" />
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <uc:UnitListing runat="server" ID="Currencies" UnitType="Currency"/>
                    </td>
                  </tr>
                  <tr>
                    <td class="unitListingToolbarCell">
                      <uc:Toolbar runat="server" ID="CurrenciesBottomToolbar" />
                    </td>
                  </tr>
                </tbody>
              </table>
              <div style="clear:both;height:10px;"></div>   
           </innercontent>
          </Tabs:TabItem>
        </Items>
      </Tabs:TabContainer>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
