﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ConfirmPersonalDetails.aspx.cs" Inherits="Core.Web.ConfirmPersonalDetails" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Customers/CustomerDetailsForm.ascx" TagName="CustomerDetailsForm" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
    <div class="FormSection">
      <uc:CustomerDetailsForm runat="server" ID="DetailsForm" />
	    <div class="FormControl FormControlIndent-B">
		    <ul class="Groups">
			    <li class="GroupA">
				    <ul>
              <li><Front:SpanButton runat="server" ID="BackButton" OnClick="BackHandler" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>				    
					    <li><Front:SpanButton runat="server" ID="ProceedButton" OnClick="NextHandler" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					    <li><Front:SpanButton runat="server" ID="SaveButton" OnClick="SaveHandler" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-C" /></li>					    
				    </ul>
			    </li>
			    <li class="GroupB">
				    <ul>
					    <li>
						    <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
					    </li>
				    </ul>
			    </li>
		    </ul>
	    </div>    
    </div>
  </div>
</asp:Content>