﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="BasketView.ascx.cs" Inherits="Core.Web.Controls.Layout.BasketView" %>

<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import Namespace="Core.Web"%>
<%@ Import Namespace="Core.Web.Objects.Shopping"%>

<div class="Basket BasketRowNum-2" id="basketViewArea">
  <div class="Row-1 Iconed">
    <asp:Literal runat="server" ID="BasketContents"/>
  </div>
  <%if (BasketStorage.Instance.TotalItemsQuantity > 0)
    {%>
	  <div class="Row-2"><%=UI.Current.Total%>: <span class="Integer"><%=UserMoney(BasketStorage.Instance.GrandTotal)%></span> <a class="doCheckout" href="<%=UrlBuilder.ConfirmPersonalDetailsUrl%>"><%=UI.Current.Checkout%></a></div>
	<%} else {%>
	<div class="Row-2">
    <a class="basketGetStarted" href="javascript:void(0);">
      <%=UI.Current.HowToGetStartedText%>
    </a>
  </div>
	<% } %>
</div>

<script type="text/javascript">

  $(function() {
    $('#basketViewArea').basketView({
      serviceUrl: '<%=UrlBuilder.BasketServiceUrl%>',
      templateUrl: '<%=UrlBuilder.BasketViewTemplateUrl%>',
      getStartedUrl: '<%=UrlBuilder.BasketGetStartedTemplateUrl%>'
    });
  });

</script>