﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="iFramework.BLL.Web"%>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SearchSection.ascx.cs"
  Inherits="Core.Web.Controls.Layout.SearchSection" %>
<%@ Register Assembly="Core.Web" Namespace="Core.Web.Controls.Common" TagPrefix="Custom" %>

<div class="SearchBar">
  <dl>
    <dt><%=UI.Current.SearchSectionTitle%></dt>
    <dd class="Pharse">
      <span class="InputLine">
        <Custom:SearchAutoCompleteTextBox ID="QuickSearchTextBox" runat="server" Template-DisplayName="Search Text" />
      </span>
    </dd>
    <dd class="Category">
      <span class="SelectLine">
        <UI:DropDownList runat="server" ID="SearchTypeSelector" />
      </span>
    </dd>
    <dd class="FormControl">
      <span class="InputButton InputButtonViewA"><span class="In"><span class="InputFake"
        runat="server" id="QuickSearchButton"><%=UI.Current.SearchButtonTitle%></span> </span></span>
    </dd>
  </dl>
</div>

<asp:CustomValidator ID="KeywordsValidator" runat="server" Display="None" OnServerValidate="KeywordsValidatorValidate" />

<script type="text/javascript">
  $(function(){
    $('#<%=QuickSearchTextBox.ClientID%>').watermark({html:'<%=UI.Current.SearchWatermarkText%>', css:{color:'#8C8C8C', marginTop:'1px', zIndex:'50'}});
  });
</script>
