﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryChargeEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.DeliveryChargeEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.DeliveryChargeDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                            <tr class="<%=GetRegionCSSClass(DeliveryMethod)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="DeliveryMethodFieldView" InputToDisplayID="DeliveryMethod" />
                                              </td>
                                              <td class="control">
                                                <UI:DropDownList id="DeliveryMethod" runat="server" Template-PropertyName="DeliveryMethod"
                                                ExtendedTemplate-HighlightOnFocus="true"/>
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(IntervalStartPrice)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="IntervalStartPriceFieldView" InputToDisplayID="IntervalStartPrice" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="IntervalStartPrice" Template-PropertyName="IntervalStartPrice" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(IntervalEndPrice)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="IntervalEndPriceFieldView" InputToDisplayID="IntervalEndPrice" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="IntervalEndPrice" Template-PropertyName="IntervalEndPrice" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(Price)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="PriceFieldView" InputToDisplayID="Price" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Price" Template-PropertyName="Price" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>


<asp:CustomValidator ID="IntervalRequiredValidator" runat="server" OnServerValidate="IntervalRequiredValidation" Display="None" />
<asp:CustomValidator ID="IntervalCrossValidator" runat="server" OnServerValidate="IntervalCrossValidation" Display="None" />
<asp:CustomValidator ID="IntervalExceedingValidator" runat="server" OnServerValidate="IntervalExceedingValidation" Display="None" />