﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ReviewEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.ReviewEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter"><span><%=UI.Current.ReviewDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Author)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CustomerProfileFieldView" InputToDisplayID="Author" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="Author" runat="server" Template-PropertyName="Author" ExtendedTemplate-HighlightOnFocus="true"
                          Enabled="false" Template-IsForSave="false" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(CreationDate)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CreationDateFieldView" InputToDisplayID="CreationDate" />
                      </td>
                      <td class="control">
                        <UI:TextBox ID="CreationDate" runat="server" Template-PropertyName="CreationDate"
                          ExtendedTemplate-HighlightOnFocus="true" Enabled="false" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(ProductField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="ProductFieldView" InputToDisplayID="ProductField" />
                      </td>
                      <td class="control">
                        <UI:Lookup runat="server" ID="ProductLookup" InnerControlVirtualPath="~/admin/Controls/Listing/ProductLookupListing.ascx">
                          <InputContainer>
                            <UI:AutoCompleteTextBox runat="server" ID="ProductField" ServiceKey="Product" 
                            Template-PropertyName="Product" ExtendedTemplate-HighlightOnFocus="true"/>
                          </InputContainer>
                        </UI:Lookup>
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(Text)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="TextFieldView" InputToDisplayID="Text" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Text" Template-PropertyName="Text" ExtendedTemplate-HighlightOnFocus="true"
                          TextMode="MultiLine" Rows="15" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
