﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CategoryMetaDataSettings.ascx.cs" Inherits="Core.Web.Admin.Controls.Settings.CategoryMetaDataSettings" %>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Register Src="~/Admin/PageElements/SettingsEditor.ascx" TagName="SettingEditor" TagPrefix="uc" %>

<uc:SettingEditor runat="server" ID="SettingsEditorContainer">
  <Settings>
    <Settings:StringSetting runat="server" ID="CategoryMetaTitle" SettingReference="CategoryMetaTitle" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="CategoryMetaKeywords" SettingReference="CategoryMetaKeywords" ExtendedTemplate-HighlightOnFocus="true"/>
    <Settings:StringSetting runat="server" ID="CategoryMetaDescription" SettingReference="CategoryMetaDescription" ExtendedTemplate-HighlightOnFocus="true"/>    
  </Settings>  
</uc:SettingEditor>
<div class="half-data-area">
  <%=SettingsConfig.Current.CategoryMetaDataSettingsNote %>
</div>