﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderItemsTree.ascx.cs" Inherits="Core.Web.Admin.Controls.Trees.OrderItemsTree" %>

<%@ Register Namespace="Core.Web.Objects.Actions.Orders" Assembly="Core.Web" TagPrefix="Action" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/SimpleLookup.ascx" TagPrefix="uc" TagName="SimpleLookup" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
  <tr>
    <td>
      <UI:ActionResultView runat="server" ID="CustomActionResult" />
    </td>
  </tr>
  <tr>
    <td>
      <Tree:OrderItemsTreeView runat="server" ID="Tree" NodeProperty="Name" Title="Order Items">
        <Actions>
          <Action:EditOrderItemDetailsAction CssClass="butt-edit" DisabledCssClass="butt-edit-inactive" />
          <Action:DeleteOrderItemAction CssClass="butt-delete" DisabledCssClass="butt-delete-inactive" />
        </Actions>
      </Tree:OrderItemsTreeView>     
    </td>
  </tr>
</table>
<uc:SimpleLookup runat="server" ID="ProductsLookup" InnerControlVirtualPath="~/Admin/Controls/Listing/ProductOrderItemsLookupListing.ascx" />
<table cellpadding="0" cellspacing="0" border="0" style="margin: 0px 15px 15px 15px"
    width="100%">
    <tr>
        <td>
            <uc:ButtonsPanel runat="server" ID="Buttons" />
        </td>
    </tr>
</table>
