﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductImageViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.ProductImageViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/ProductImages.ascx" TagPrefix="uc" TagName="ProductImages" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.ProductImageDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="FileFieldView" InputToDisplayID="FileLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="FileLabel" runat="server" Template-PropertyName="FileName" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="IsMainLabel" runat="server" Template-PropertyName="IsMain" Template-DisplayName="Main" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <asp:Label runat="server" ID="ImageFieldView" />
                      </td>
                      <td class="control-value">
                        <uc:ProductImages ID="ProductImages" runat="server" ImageWidth="200" ImageHeight="200"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
