﻿<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Import namespace="Core.Web.Objects.Utility"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Notes.ascx.cs" Inherits="Core.Web.Admin.PageElements.Notes" %>

<%@ Import namespace="iFramework.Core.Utilities"%>
<%@ Import namespace="Core.DBO.Entity.Notes"%>

<div class="notes-section">

  <table width="100%">
    <tr>
      <td>
        <UI:TextBox ID="NoteDescription" runat="server" CssClass="text-field text-field-120" />
      </td>
      <td>
        <a id="Add" runat="server" class="button button-fright"><span><%=ActionsUI.Current.AddNoteActionTitle%></span></a>
      </td>
    </tr>
  </table>
  
  <%if (NotesTable.Items.Count > 0) {%>
    <asp:Repeater ID="NotesTable" runat="server">
      <HeaderTemplate>
        <table width="100%">
      </HeaderTemplate>
      <ItemTemplate>
        <tr>
          <td style="width:16px" valign="top">
            <img alt="check" src="<%#UrlBuilder.BaseUrl%>Admin/Files/images/actions/<%#GetImageName(Eval(Note.PIsDone))%>.png" onclick="<%# GetCheckEventReference(Eval(Note.PNoteID))%>" />
          </td>
          <td style="width:134px;" <%# IsDone(Eval(Note.PIsDone)) ? "class=\"checked\"" : "" %>>
              <%# TextUtility.FormatText(Eval(Note.PDescription) as String, 20)%>
          </td>
          <td style="width:16px">
            <img alt="Delete" src="<%#UrlBuilder.BaseUrl%>Admin/Files/images/actions/small_delete.gif" onclick="<%# GetDeleteEventReference(Eval(Note.PNoteID))%>" />
          </td>
        </tr>
      </ItemTemplate>
      <FooterTemplate>
        </table>
      </FooterTemplate>
    </asp:Repeater>
  <%} %>
</div>