<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RecentlyModifiedLinks.ascx.cs"
  Inherits="Core.Web.Admin.PageElements.RecentlyModifiedLinks" %>
<%@ Import Namespace="Core.Web" %>
<div class="dash-box min-w-755">
  <h3><%=UI.Current.LatelyUpdatePageTitle %></h3>
  <div class="color-table-box">
    <div class="form-select-box">
      <div style="float:left;">
        <label for="<%=EntityTypeFilter.ClientID%>"><%=UI.Current.LatelyUpdateShowText %></label>
        <asp:DropDownList runat="server" CssClass="w-120 entity-type" ID="EntityTypeFilter" AutoPostBack="true" OnSelectedIndexChanged="EntityTypeChangedHandler"/>
        <label for="<%=EntityTypeFilter.ClientID%>"><%=UI.Current.SortBy %></label>
        <asp:DropDownList runat="server" CssClass="w-150 entity-type" ID="SortField" AutoPostBack="true" OnSelectedIndexChanged="SortChanged"/>      
      </div>
      <div style="float:right;">
        <label for="<%=EntityTypeFilter.ClientID%>"><%=UI.Current.RecordsPerPage %></label>
        <asp:DropDownList runat="server" CssClass="w-120 entity-type" ID="PageSizeField" AutoPostBack="true" OnSelectedIndexChanged="PageSizeChanged"/>                
      </div>
      <div class="clear-both"></div>
    </div>
    <% if (ActiveItemsCount > 0) { %>
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="dash-color">
        <tbody>
          <asp:PlaceHolder runat="server" ID="Items" />
        </tbody>
      </table>
    <%} else {%>
      <p class="empty"><%=messages.ThereAreNoItemsMessage%></p>
    <%}%>
  </div>
</div>

  <script type="text/javascript" language="javascript">
  //fix for IE rows hover
    function pageLoad() {
      $('.dash-tbl tr').mouseover(function(){ $(this).addClass('over'); });
      $('.dash-tbl tr').mouseout(function(){ $(this).removeClass('over'); });
    }
  </script>
