﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DiscountCodeEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.DiscountCodePages.DiscountCodeEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>
<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/DiscountCodeEditor.ascx" TagName="DiscountCodeEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeProductsEditor.ascx" TagName="DiscountCodeProducts" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeCategoriesEditor.ascx" TagName="DiscountCodeCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeCustomersEditor.ascx" TagName="DiscountCodeCustomers" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="DiscountCodeEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:DiscountCodeTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:DiscountCodeTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:DiscountCodeEditor ID="DiscountCodeEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:DiscountCodeTabItem>
                                    <Tab:DiscountCodeTabItem runat="server" ID="CategoriesTab" Active="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:DiscountCodeCategories ID="DiscountCodeCategories" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:DiscountCodeTabItem>
                                    <Tab:DiscountCodeTabItem runat="server" ID="ProductsTab" Active="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:DiscountCodeProducts ID="DiscountCodeProducts" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:DiscountCodeTabItem>
                                    <Tab:DiscountCodeTabItem runat="server" ID="CustomersTab" Active="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:DiscountCodeCustomers ID="DiscountCodeCustomers" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:DiscountCodeTabItem>
                                </Items>
                            </Tab:DiscountCodeTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
