﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Checkout.aspx.cs" Inherits="Core.Web.Checkout" Title="Untitled Page" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Customers/CheckoutDetailsEditor.ascx" TagPrefix="uc" TagName="CheckoutDetailsEditor" %>
<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  <div class="Area">
    <div class="FormSection">
      <Ajax:UpdatePanel runat="server" ID="DetailsUpdatePanel">
        <ContentTemplate>          
          <uc:CheckoutDetailsEditor runat="server" ID="CheckoutForm" />
	        <div class="FormControl FormControlIndent-B">
		        <ul class="Groups">
			        <li class="GroupA">
				        <ul>
					        <li><Front:SpanButton runat="server" OnClick="SaveHandler" ID="SaveButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" /></li>
					        <li><Front:SpanButton runat="server" OnClick="ResetFields" ID="ResetButton" CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B" /></li>
				        </ul>
			        </li>
			        <li class="GroupB">
				        <ul>
					        <li>
						        <p class="Note"><%=UI.Current.MandatoryFieldsDisclaimer%></p>
					        </li>
				        </ul>
			        </li>
		        </ul>
	        </div>        
        </ContentTemplate>
      </Ajax:UpdatePanel>	    
    </div>      
  </div>    
</asp:Content>